<?php
/**
* @copyright Copyright (C) 2009 JoomlaPraise. All rights reserved.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php // Detecting Home
$menu = & JSite::getMenu();
if ($menu->getActive() == $menu->getDefault()) {
$siteHome = 1;
}

// Detecting Active Component
$pageOption = JRequest::getVar('option', '');
$layout = JRequest::getCmd('layout', '');
$task = JRequest::getCmd('task', '');

// set custom template theme for user
$user = &JFactory::getUser();
if( !is_null( JRequest::getCmd('templateTheme', NULL) ) ) {
$user->setParam($this->template.'_theme', JRequest::getCmd('templateTheme'));
$user->save(true);
}

if($user->getParam($this->template.'_theme')) {
$this->params->set('templateTheme', $user->getParam($this->template.'_theme'));
}

if($task == "edit" || $layout == "form" ) {
$fullWidth = 1;
}
?>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('templateTheme'); ?>.css" type="text/css" />
<style type="text/css">
<?php if($this->params->get('fontFamily') == "times") { ?>
body{font-family:"Times New Roman", Times, serif;}
<?php } elseif($this->params->get('fontFamily') == "courier") { ?>
body{font-family:"Courier New", Courier, monospace;}
<?php } elseif($this->params->get('fontFamily') == "georgia") { ?>
body{font-family:Georgia,"Times New Roman", Times, serif;}
<?php } ?>
<?php if($this->params->get('headingFontFamily') == "arial") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:Arial, Helvetica, sans-serif;}
<?php } elseif($this->params->get('headingFontFamily') == "times") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:"Times New Roman", Times, serif;}
<?php } elseif($this->params->get('headingFontFamily') == "courier") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:"Courier New", Courier, monospace;}
<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') == 0)) { ?>
#content{width:100%;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') == 0)) { ?>

<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') >= 1)) { ?>

<?php } ?>
<?php if($this->params->get('customWidth')) { ?>
#toolbar, #wrapper, #footer {width:<?php echo $this->params->get('customWidth');?>;}
<?php } ?>
<?php if($this->params->get('fontColor')){ ?>
body{color:<?php echo $this->params->get('fontColor'); ?>}
<?php } ?>
<?php if($this->params->get('headingColor')){ ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{color:<?php echo $this->params->get('headingColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkColor')){ ?>
a:link, a:active, a:visited{color:<?php echo $this->params->get('linkColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkHoverColor')){ ?>
a:hover{color:<?php echo $this->params->get('linkHoverColor'); ?>}
<?php } ?>
<?php if($fullWidth){ ?>
#mainbody{width:100%;} #content{width:100%;} #sidebar{display:none;} #sidebar2{display:none;}
<?php } ?>
</style>
</head>
<body>
<?php if (($this->countModules('advert1')) || ($this->countModules('advert2'))) { ?>
<div id="toolbar">
    <div class="inside">
    	<?php if ($this->countModules('advert1')) { ?>
        <div id="toolbar-l">
        	<jdoc:include type="modules" name="advert1" />
        </div>
        <?php } ?>
        <?php if ($this->countModules('advert2')) { ?>
        <div id="toolbar-r">
        	<jdoc:include type="modules" name="advert2" />
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
</div>
<?php } ?>
<div id="wrapper">
	<div id="wrapper-inner">
        <div id="header">
            <a href="<?php echo $mainframe->getCfg('live_site'); ?>" id="logo" title="<?php echo $mainframe->getCfg('sitename'); ?>">
            <h1><?php echo $mainframe->getCfg('sitename'); ?></h1>
            </a>
            <?php if ($this->countModules('user3')) { ?>
            <div id="topmenu">
                <jdoc:include type="modules" name="user3" />
                <div class="clr"></div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php if ($this->countModules('banner')) { ?>
        <div id="banner">
            <jdoc:include type="modules" name="banner" />
            <div class="clr"></div>
        </div>
        <?php } ?>
        <?php if (($this->countModules('breadcrumb')) || ($this->countModules('user4'))) { ?>
        <div id="inset">
        	<div class="inside">
	            <?php if ($this->countModules('breadcrumb')) { ?>
            	<div id="pathway">
    	        	<jdoc:include type="modules" name="breadcrumb" />
                </div>
                <?php } ?>
                <?php if ($this->countModules('user4')) { ?>
                <div id="search">
        	        <jdoc:include type="modules" name="user4" />
                </div>
                <?php } ?>
                <div class="clr"></div>
            </div>
        </div>
        <?php } ?>
        <div id="container">
        	<?php if ($this->countModules('right')) { ?>
            <div id="sidebar2">
            	<jdoc:include type="modules" name="right" style="xhtml" />
            	<div class="clr"></div>
            </div>
            <?php } ?>
            <?php if ($this->countModules('left')) { ?>
            <div id="sidebar">
            	<jdoc:include type="modules" name="left" style="xhtml" />
            	<div class="clr"></div>
            </div>
            <?php } ?>
            <div id="content">
            	<div id="content-inner">
                	<?php if (($this->countModules('user1')) || ($this->countModules('user2'))) { ?>
                	<div id="elements">
                    	<?php if ($this->countModules('user1')) { ?>
                    	<div id="elements-l">
                        	<jdoc:include type="modules" name="user1" style="xhtml" />
                        </div>
                        <?php } ?>
                        <?php if ($this->countModules('user2')) { ?>
                        <div id="elements-r">
                        	<jdoc:include type="modules" name="user2" style="xhtml" />
                        </div>
                        <?php } ?>
                    	<div class="clr"></div>
                    </div>
                    <?php } ?>
                    <jdoc:include type="modules" name="top" style="xhtml" />
                	<jdoc:include type="message" />
                    <jdoc:include type="component" />
                	<div class="clr"></div>
                </div>
            </div>
        	<div class="clr"></div>
        </div>
        <?php if ($this->countModules('bottom')) { ?>
        <div id="bottom">
        	<div id="bottommenu">
            	<div class="inside">
                    <jdoc:include type="modules" name="bottom" />
                    <div class="clr"></div>
				</div>
            </div>
        	<div class="clr"></div>
        </div>
        <?php } ?>
    	<div class="clr"></div>
    </div>
</div>
<?php if ($this->countModules('footer')) { ?>
<div id="footer">
    <div id="copy">
	    <jdoc:include type="modules" name="footer" />
    </div>
  <div id="link">
        <a href="http://design4free.org" title="бесплатные шаблоны joomla" target="_blank">Бесплатные шаблоны joomla по GNU/GPL лицензии</a> b
    </div>
    <div class="clr"></div>
</div>
<?php } ?>
<?php if ($this->countModules('debug')) { ?>
<div id="debug">
	<div class="inside">
    	<jdoc:include type="modules" name="debug" style="xhtml" />
    </div>
</div>
<?php } ?>
</body>
</html>
